Subject: [MEXT] New revision for rfc3775bis; new text for issue #2

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 04 Mar 2009 14:06:31 -0800

Hello folks,

For issue #2, I have made the following revision to the text:

OLD:
> <    This section describes how a home agent can help mobile nodes to
> <    discover the addresses of the home agents.  The home agent keep
> <    track of the other home agents on the same link and responds to
> <    queries sent by the mobile node.
>

NEW:
> >    This section describes an optional mechanism by which a home agent
> >    can help mobile nodes to discover the addresses of other home agents
> >    on the mobile node's home network.  The home agent keeps track of the
> >    other home agents on the same link and responds to queries sent by
> >    the mobile node.

Section 11.4.1. Dynamic Home Agent Address Discovery  . . . . . . . . 121

is quite clear that the mechanism is optional, so I didn't make any
changes there.  Plus I found a cross-reference that was pretty much
wrong so I fixed that in section 10.5 also.

Regards,
Charlie P.

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 09 Mar 2009 09:22:13 +0100

Charles E. Perkins a écrit :
>>> This section describes how a home agent can help mobile nodes to 
>>> discover the addresses of the home agents.  The home agent keep 
>>> track of the other home agents on the same link and responds to 
>>> queries sent by the mobile node.
>> 
> 
> NEW:
>>> This section describes an optional mechanism by which a home
>>> agent can help mobile nodes to discover the addresses of other
>>> home agents on the mobile node's home network.  The home agent
>>> keeps track of the other home agents on the same link and
>>> responds to queries sent by the mobile node.
> 

Charles,

As I said earlier, I will abide by the WG consensus on this topic, i.e.
make DHAAD (rfc3775) an optional alternative to rfc5026 bootstrapping
(which would presumably be an optional alternative to dhaad).

In this sense, the proposed rfc3775-bis text above sounds reasonable to me.

Alex